import { defineComponent } from "vue";
import styles from './index.module.less';
import empty from '@common/images/icon_nodata.png';
import { Button, Empty, Image } from "vant";
import { postMessage } from "@/helpers/native-message";


export default defineComponent({
  name: 'col-result',
  props: {
    tips: {
      type: String
    },
    img: {
      type: String,
      default: empty
    },
    btnStatus: {
      type: Boolean,
      default: true
    },
    buttonText: {
      type: String,
      default: '我知道了'
    },
    onClick: Function
  },
  methods: {
    onResult() {
      if(this.onClick) {
        this.onClick()
      } else {
        postMessage({ api: 'back', content: {} })
      }
    }
  },
  render() {
    return (
      <div class={styles['col-result']}>
        {/* <Image fit="cover" width="100%" src={this.img} /> */}
        <Empty description={this.tips } />

        {/* { this.tips && <p class={styles.tips}>{ this.tips }</p> } */}

        { this.btnStatus ? <Button class={styles.btn} round block type="primary" onClick={this.onResult}>{this.buttonText}</Button> : null }
      </div>
    )
  }
})