import Auth from '@/student/layout/auth';
import { router, rootRouter } from './routes-common';

type metaType = {
  isRegister: boolean;
};

export default [
  {
    path: '/',
    component: Auth,
    children: [
      ...router,
      {
        path: '/login',
        name: 'login',
        component: () => import('@/student/layout/login'),
        meta: {
          isRegister: false
        } as metaType
      },
      {
        path: '/home',
        name: 'home',
        component: () => import('@/student/home/index')
      },
      {
        path: '/practiceClass',
        name: 'practiceClass',
        component: () => import('@/student/practice-class/index'),
        meta: {
          title: '陪练课'
        }
      }
    ]
  },
  ...rootRouter,
  {
    path: '/memberCenter',
    name: 'memberCenter',
    component: () => import('@/student/member-center/index'),
    meta: {
      title: '会员中心'
    }
  },
  {
    path: '/registerProtocol',
    name: 'registerProtocol',
    component: () => import('@/student/protocol/register'),
    meta: {
      title: '注册协议'
    }
  },
  {
    path: '/privacyProtocol',
    name: 'privacyProtocol',
    component: () => import('@/student/protocol/privacy'),
    meta: {
      title: '隐私协议'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404 Not Fund',
      platform: 'STUDENT'
    }
  }
];
