import ColHeader from "@/components/col-header";
import { Button, Cell, Col, Grid, GridItem, Icon, Image, Row, Swipe, SwipeItem } from "vant";
import { defineComponent } from "vue";
import styles from './index.module.less';
import ColProtocol from "@/components/col-protocol";

import iconTeacher from '@common/images/icon_teacher.png';
import a1 from './images/1.png';
import a2 from './images/2.png';
import a3 from './images/3.png';
import a4 from './images/4.png';
import a5 from './images/5.png';
import a6 from './images/6.png';
import a7 from './images/7.png';
import a8 from './images/8.png';

export default defineComponent({
  name: 'MemberCenter',
  data() {
    return {
      agreeStatus: false,
      functionList: [{ title: '五线谱<br />跟播', icon: a1 },
        { title: '演奏指法<br />跟播', icon: a2 },
        { title: '原声/伴奏<br />切换', icon: a3 },
        { title: '播放速度<br />调整', icon: a4 },
        { title: '五线谱选段<br />播放', icon: a5 },
        { title: '智能评测', icon: a6 },
        { title: '评测报告', icon: a7 },
        { title: '评测音视频<br />云储存', icon: a8 },
      ]
    }
  },
  render() {
    return (
      <div class={styles['member-center']}>
        <ColHeader isFixed={false} />
        <div class={styles.member_container}>
          <Cell class={styles.userMember} labelClass={styles.timeRemaining} v-slots={{
            icon: () => (<Image class={styles.userImg} src={iconTeacher} fit="cover" />),
            title: () => (<div class={styles.userInfo}>
              <span class={styles.name}>李小明</span>
              <Image class={styles.level} src="https://daya.ks3-cn-beijing.ksyun.com/202107/ScSTL1D.png" />
              <span class={styles.phone} v-html="（15907121013）"></span>
            </div>),
            label: () => (<div class={styles.member_time}>
              {true ? <div> 会员权益有效期剩余<span class={styles.remaining}>200</span>天</div> : <div>亲，您还不是会员哟</div>}
            </div>)
          }}></Cell>
        </div>

        <div class={styles.memberContainer}>
          <div class={styles.memberItem}>
            <div class={styles.title}>
              会员<span>VIP</span>
            </div>

            <div class={styles['system-list']}>
              <div class={[styles['system-item'], styles.active]}>
                <p class={styles.title}>月度会员</p>
                <p class={styles.price}><span>￥</span>199</p>
                <del class={styles.originalPrice}>￥199</del>
              </div>

              <div class={styles['system-item']}>
                <p class={styles.title}>月度会员</p>
                <p class={styles.price}><span>￥</span>199</p>
                <del class={styles.originalPrice}>￥199</del>
              </div>

              <div class={styles['system-item']}>
                <p class={styles.title}>月度会员</p>
                <p class={styles.price}><span>￥</span>199</p>
                <del class={styles.originalPrice}>￥199</del>
              </div>

              <div class={styles['system-item']}>
                <p class={styles.title}>月度会员</p>
                <p class={styles.price}><span>￥</span>199</p>
                <del class={styles.originalPrice}>￥199</del>
              </div>
            </div>
          </div>

          <div class={[styles.intro]}>
            <p>黄金会员使用包括平台提供教材的所有训练乐谱，并专享“<b>乐器练习云教练</b>”八大核心功能，孩子在家就能轻松完成乐器自主规范练习。</p>
          </div>

          <div class={styles.memberItem}>
            <div class={styles.title}>会员功能</div>

            <div class={styles.member_function}>
              {this.functionList.map((item: any) => (
                <div class={styles.function_item}>
                  <Icon name={item.icon} size={34} />
                  <div class={styles.function_text} v-html={item.title}></div>
                </div>
              ))}
            </div>

          </div>

          <ColProtocol v-model={this.agreeStatus} style={{ paddingLeft: 0, paddingRight: 0, marginBottom: '20px' }} />
        </div>
        <div class={styles.btnGroup}>
          <div class={styles.priceSection}>
            支付金额：
            <div class={styles.price}>
              <span class={styles.priceUnit}>￥</span>
              <span class={styles.priceNum}>{(this as any).$filters.moneyFormat(99)}</span>
            </div>
          </div>
          <Button color="linear-gradient(220deg, #DFA164 0%, #FAC87E 100%)" round class={styles.btn}>立即支付</Button>
        </div>
      </div>
    )
  }
})