import { Button, Image } from "vant";
import { defineComponent, Transition } from "vue";
import styles from './cert-info.module.less';
import { teacherState } from "./teacherState";

export default defineComponent({
  name: 'cert-info',
  methods: {
    onClick() {
      teacherState.authStatus = true
    }
  },
  render() {
    return (
      <div class={styles['cert-info']}>
        <h2>认证酷乐秀老师能为您带来什么？</h2>
        <p class={styles['cert-text']}>
          酷乐秀是一款为器乐学习者提供智能陪练及线上授课撮合的乐器教学平台，器乐老师可通过自身的专业知识位自己带来授课及曲谱销售收益。
        </p>
        <p class={styles['cert-img']}>
          <Image src="https://daya.ks3-cn-beijing.ksyun.com/202110/Sn76BUQ.png" width="100%" height="150px" fit="cover" />
        </p>

        <h2>线上授课</h2>
        <p class={styles['cert-text']}>
          认证成为酷乐秀老师后，可设置您的空闲时间为平台中的求学者进行1对1的线上课程指导。
        </p>
        <p class={styles['cert-img']}>
          <Image src="https://daya.ks3-cn-beijing.ksyun.com/202110/Sn76BUQ.png" width="100%" height="150px" fit="cover" />
        </p>

        <h2>个人风采展示</h2>
        <p class={styles['cert-text']}>
          可发布自己的专业经历、获奖记录及音视频资料对求学者展示，让学员更加深入的了解您的专业技能，从而提高约课率。
        </p>
        <p class={styles['cert-img']}>
          <Image src="https://daya.ks3-cn-beijing.ksyun.com/202110/Sn76BUQ.png" width="100%" height="150px" fit="cover" />
        </p>

        <h2>曲谱上传</h2>
        <p class={styles['cert-text']}>
          可上传您制作的MIDI乐谱为求学者提供学习曲目的途径，并从中获得收益。
        </p>
        <p class={styles['cert-img']}>
          <Image src="https://daya.ks3-cn-beijing.ksyun.com/202110/Sn76BUQ.png" width="100%" height="150px" fit="cover" />
        </p>

        <h2>收益提现</h2>
        <p class={styles['cert-text']}>
          在您授课及上传曲谱销售后，经过平台核算，将您获得的收益发放至您的个人账户下，您可随时将自己获得的收益提现。
        </p>

        <h2>酷乐秀欢迎您的加入！</h2>
        <p class={styles['cert-text']}>
          在艺术的殿堂中，为他人照亮前进的道路，用自己的经验和点拨，传播艺术的种子，获取硕果。
        </p>

        <div class={styles["btn-group"]}>
          <Button round block type="primary" disabled={teacherState.authStatus} onClick={this.onClick}>立即认证</Button>
        </div>
      </div>
    )
  }
})