import ColField from "@/components/col-field";
import ColFieldGroup from "@/components/col-field-group";
import ColUpload from "@/components/col-upload";
import { Col, Field, Form, Image, Row } from "vant";
import { defineComponent } from "vue";
import styles from "./class-info.module.less";

export default defineComponent({
  name: "ClassInfo",
  data() {
    return {
      url: ''
    }
  },
  render() {
    return (
      <Form class={styles.classInfo}>
        <ColFieldGroup>
          <ColField title="课程名称" required>
            <Field
              name="课程名称"
              placeholder="请输入您的课程名称"
            />
          </ColField>
          <ColField title="课程声部" required>
            <Field
              name="课程声部"
              readonly
              isLink
              placeholder="请选择课程声部"
            />
          </ColField>
        </ColFieldGroup>

        <ColFieldGroup>
          <ColField title="课程介绍" required border={false}>
            <Field
              name="课程介绍"
              placeholder="请输入课程介绍"
              rows="3"
              autosize
              type="textarea"
            />
          </ColField>
        </ColFieldGroup>

        <ColFieldGroup>
          <ColField title="课程组售价" required>
            <Field
              name="课程组售价"
              placeholder="请输入您的课程组售价"
              v-slots={{
                button: () => (<span>元</span>)
              }}
            />
          </ColField>
        </ColFieldGroup>

        <div class={styles['class-info-tip']}>
          <p>扣除手续费后您的课程预计收入为：</p>
          <p>课程组总收入<span>114</span>元/人</p>
          <p>您的课程收入将在课程结束后结算到您的账户中</p>
        </div>

        <ColFieldGroup>
          <ColField title="图片模板" required border={false}>
            <p class={styles.photoTip}>模板图片将作为改课程封面为学员展示</p>

            <Field
              v-slots={{
                input: () => (
                  <Row justify="space-between">
                    <Col span={12} class={styles.imgContainer}>
                      <Image class={styles.imgContainer} src="https://daya.ks3-cn-beijing.ksyun.com/202201/Sv7wlrW.png" />
                    </Col>
                    <Col span={12} class={styles.imgContainer}>
                      <Image class={styles.imgContainer} src="https://daya.ks3-cn-beijing.ksyun.com/202201/Sv7wlrW.png" />
                    </Col>
                    <Col span={12} class={styles.imgContainer}>
                      <Image class={styles.imgContainer} src="https://daya.ks3-cn-beijing.ksyun.com/202201/Sv7wlrW.png" />
                    </Col>
                    <Col span={12} class={styles.imgContainer}>
                      <ColUpload cropper v-model={this.url} class={styles.imgContainer} />
                    </Col>
                  </Row>
                )
              }}
            />
          </ColField>
        </ColFieldGroup>
      </Form>
    )
  }
})