import ColUpload from "@/components/col-upload";
import { Button, Grid, GridItem, Icon } from "vant";
import { defineComponent } from "vue";
import styles from './create.module.less';
import ClassInfo from "./class-info";
import ClassContent from "./class-content";

import nameActive from './images/icon_name_active.png'
import education from './images/icon_education.png'
import educationActive from './images/icon_education_active.png'

export default defineComponent({
  name: 'Create',
  data() {
    return {
      active: 2,
    }
  },
  render() {
    return (
      <div class={styles['video-create']}>
        <Grid direction="horizontal" columnNum="2">
          <GridItem v-slots={{
            default: () => (
              <>
                <Icon name={nameActive} size={38} />
                <span class={[styles.gridName, this.active >= 1 ? styles.active : null]}>课程信息</span>
              </>
            )
          }} />
          <GridItem v-slots={{
            default: () => (
              <>
                <Icon name={this.active === 2 ? educationActive : education} size={38} />
                <span class={[styles.gridName, this.active === 2 ? styles.active : null]}>课程内容</span>
              </>
            )
          }} />
        </Grid>
        {/* 课程信息 */}
        { this.active === 1 ? <>
          <ClassInfo />
          <div class={[styles.btnGroup]}>
            <Button block round type="primary">下一步</Button>
          </div>
        </> : null }
        {/* 课程内容 */}
        { this.active === 2 ? <>
          <ClassContent />
          <div class={[styles.btnGroup, styles.btnMore]}>
            <Button block round type="primary" plain>上一步</Button>
            <Button block round type="primary">提交</Button>
          </div>
        </> : null }

      </div>
    )
  }
})