import ColProtocol from "@/components/col-protocol";
import { Button, Sticky } from "vant";
import { defineComponent } from "vue";
import styles from './index.module.less'

export default defineComponent({
  name: "order-detail",
  data() {
    return {
      agreeStatus: false
    }
  },
  methods: {
    onSubmit() {
      console.log("submit");
    }
  },
  render() {
    return (
      <div class={styles['order-detail']}>

        <ColProtocol v-model={this.agreeStatus} style={{ paddingLeft: 0, paddingRight: 0 }} />
        <div class={styles.btnGroup}>
          <div class={styles.priceSection}>
            支付金额：
            <div class={styles.price}>
              <span class={styles.priceUnit}>￥</span>
              <span class={styles.priceNum}>{ (this as any).$filters.moneyFormat(99) }</span>
            </div>
          </div>
          <Button type="primary" round class={styles.btn} onClick={this.onSubmit}>立即支付</Button>
        </div>
      </div>
    )
  }
})